Package org.kie.internal.runtime.manager.audit.query

## Interface RequestInfoLogDeleteBuilder

- All Superinterfaces:
    `AuditDateDeleteBuilder<RequestInfoLogDeleteBuilder>`, `AuditDeleteBuilder<RequestInfoLogDeleteBuilder>`, `ParametrizedQueryBuilder<RequestInfoLogDeleteBuilder>`

      public interface RequestInfoLogDeleteBuilder
      extends AuditDateDeleteBuilder<RequestInfoLogDeleteBuilder>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RequestInfoLogDeleteBuilder` | `deploymentId​(String... deploymentId)` | Specify one or more deployment ids to use as a criteria.
    `RequestInfoLogDeleteBuilder` | `status​(org.kie.api.executor.STATUS... status)` | Specify one more statuses (in the form of an int) as criteria.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder

      `date, dateRangeEnd, dateRangeStart`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### deploymentId

          RequestInfoLogDeleteBuilder deploymentId​(String... deploymentId)

      Specify one or more deployment ids to use as a criteria.
      Parameters:
        `deploymentId` - one or more string deployment ids
      Returns:
        The current query builder instance

    - #### status

          RequestInfoLogDeleteBuilder status​(org.kie.api.executor.STATUS... status)

      Specify one more statuses (in the form of an int) as criteria.
      Parameters:
        `status` - one or more int statuses
      Returns:
        The current instance of this query builder